;; html-edit-vars -- Variable definitions

;; This library is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation; either version 2, or (at your option)
;; any later version.

;; This library is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with library; see the file COPYING.  If not, write to the
;; Free Software Foundation, Inc., 59 Temple Place - Suite 330,
;; Boston, MA 02111-1307, USA.

;; User Options
(defvar html-edit-default-rule "IE+NN")
(defvar html-edit-check-require-endtag '("TR" "TD") "άԲĤνλ")
(defvar html-edit-check-syntax-savep nil "Non nil ʤ饪ȥå")
(defvar html-edit-mode-hook nil "html-edit-mode ưɾեå")
(defvar html-edit-mode-rule-hook nil
  "롼ɤ߹߸˵ưɾեå")
(defvar html-edit-check-char-entity 'name-only
  "'name-only ʤ &...; ʬΤߤå
nil ʤλȤΥåԤʤ
t ʤ & ʸƤå")

(defvar html-edit-meta-http-equiv-list
  '("Cache-Control"
    "Content-Encoding"
    "Content-Language"
    "Content-Style-Type"
    "Content-Script-Type"
    "Content-Type"
    "Expires"
    "Last-Modified"
    "Page-Enter"
    "PICS-Label"
    "Pragma"
    "Refresh"))

(defvar html-edit-meta-name-list
  '("Author"
    "Copyright"
    "Description"
    "Generator"
    "Keywords"
    ))

(defvar html-edit-read-file-name-target
  '(("A"	. "href")
    ("IMG"	. "src")
    ("SCRIPT"	. "src")
    ("BODY"	. "background")
    ("AREA"	. "href")
    ("LINK"	. "href")
    ("APPLIET"	. "code")
    ("APPLIET"	. "codebase")
    ("APPLIET"	. "src")
    ("BGSOUND"	. "src")
    ("FORM"	. "action")
    ("INPUT"	. "src")
    ("TABLE"	. "background")
    ("TD"	. "background")
    ("TH"	. "background")
    ("FRAME"	. "src")
    ("IFRAME"	. "src")
    ("OBJECT"	. "code")
    ("OBJECT"	. "codebase")
    ("OBJECT"	. "data")
    ("EMBED"	. "code")
    ("EMBED"	. "src")))

(defvar html-edit-color-target
  '(("FONT"	. "color")
    ("BODY"	. "bgcolor")
    ("BODY"	. "text")
    ("BODY"	. "link")
    ("BODY"	. "vlink")
    ("BODY"	. "alink")
    ("HR"	. "color")
    ("BASEFONT"	. "color")
    ("MARQUEE"	. "bgcolor")
    ("TABLE"	. "color")
    ("TABLE"	. "bordercolor")
    ("TABLE"	. "bordercolordark")
    ("TABLE"	. "bordercolorlight")
    ("COLGROUP"	. "bgcolor")
    ("COL"	. "bgcolor")
    ("TBODY"	. "bgcolor")
    ("THEAD"	. "bgcolor")
    ("TFOOT"	. "bgcolor")
    ("TR"	. "bgcolor")
    ("TR"	. "bordercolor")
    ("TR"	. "bordercolorlight")
    ("TR"	. "bordercolordark")
    ("TD"	. "bgcolor")
    ("TD"	. "bordercolor")
    ("TD"	. "bordercolorlight")
    ("TD"	. "bordercolordark")
    ("TH"	. "bgcolor")
    ("TH"	. "bordercolor")
    ("TH"	. "bordercolorlight")
    ("TH"	. "bordercolordark")
    ("FRAMESET"	. "bordercolor")
    ("FRAME"	. "bordercolor")
    ("IFRAME"	. "bordercolor")))

(defvar html-edit-mime-type-list
  '("text/javascript"	; JavaScriptץ
    ))

;; ư html-edit-content-type-list ɲä롣
(defvar html-edit-mime-type-filename-list
  '("/etc/mime.types"))

(defvar html-edit-mime-type-target
  '(("STYLE"	. "type")
    ("SCRIPT"	. "type")
    ("OBJECT"	. "type")))

(defvar html-edit-charset-list
  '("Shift_JIS"
    "euc-jp"
    "iso-2022-jp"
    "iso-8859-1"))

;; Internals
(defconst html-edit-work-buffer-name "*HTML Edit Work Buffer*")

(provide 'html-edit-vars)
